<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NetscriptPort](./bitburner.netscriptport.md) &gt; [write](./bitburner.netscriptport.write.md)

## NetscriptPort.write() method

Write data to a port.

**Signature:**

```typescript
write(value: any): any;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  value | any | Data to write, it's cloned with structuredClone(). |

**Returns:**

any

The data popped off the queue if it was full.

## Remarks

RAM cost: 0 GB

